HDF: java/src/jni/hdfnativeImp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfnativeImp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jintArray JNICALL | Java_hdf_hdflib_HDFNativeData_byteToInt___3B (JNIEnv *env, jclass clss, jbyteArray bdata)
JNIEXPORT jfloatArray JNICALL | Java_hdf_hdflib_HDFNativeData_byteToFloat___3B (JNIEnv *env, jclass clss, jbyteArray bdata)
JNIEXPORT jshortArray JNICALL | Java_hdf_hdflib_HDFNativeData_byteToShort___3B (JNIEnv *env, jclass clss, jbyteArray bdata)
JNIEXPORT jlongArray JNICALL | Java_hdf_hdflib_HDFNativeData_byteToLong___3B (JNIEnv *env, jclass clss, jbyteArray bdata)
JNIEXPORT jdoubleArray JNICALL | Java_hdf_hdflib_HDFNativeData_byteToDouble___3B (JNIEnv *env, jclass clss, jbyteArray bdata)
JNIEXPORT jintArray JNICALL | Java_hdf_hdflib_HDFNativeData_byteToInt__II_3B (JNIEnv *env, jclass clss, jint start, jint len, jbyteArray bdata)
JNIEXPORT jshortArray JNICALL | Java_hdf_hdflib_HDFNativeData_byteToShort__II_3B (JNIEnv *env, jclass clss, jint start, jint len, jbyteArray bdata)
JNIEXPORT jfloatArray JNICALL | Java_hdf_hdflib_HDFNativeData_byteToFloat__II_3B (JNIEnv *env, jclass clss, jint start, jint len, jbyteArray bdata)
JNIEXPORT jlongArray JNICALL | Java_hdf_hdflib_HDFNativeData_byteToLong__II_3B (JNIEnv *env, jclass clss, jint start, jint len, jbyteArray bdata)
JNIEXPORT jdoubleArray JNICALL | Java_hdf_hdflib_HDFNativeData_byteToDouble__II_3B (JNIEnv *env, jclass clss, jint start, jint len, jbyteArray bdata)
JNIEXPORT jbyteArray JNICALL | Java_hdf_hdflib_HDFNativeData_intToByte__II_3I (JNIEnv *env, jclass clss, jint start, jint len, jintArray idata)
JNIEXPORT jbyteArray JNICALL | Java_hdf_hdflib_HDFNativeData_shortToByte__II_3S (JNIEnv *env, jclass clss, jint start, jint len, jshortArray sdata)
JNIEXPORT jbyteArray JNICALL | Java_hdf_hdflib_HDFNativeData_floatToByte__II_3F (JNIEnv *env, jclass clss, jint start, jint len, jfloatArray fdata)
JNIEXPORT jbyteArray JNICALL | Java_hdf_hdflib_HDFNativeData_doubleToByte__II_3D (JNIEnv *env, jclass clss, jint start, jint len, jdoubleArray ddata)
JNIEXPORT jbyteArray JNICALL | Java_hdf_hdflib_HDFNativeData_longToByte__II_3J (JNIEnv *env, jclass clss, jint start, jint len, jlongArray ldata)
JNIEXPORT jbyteArray JNICALL | Java_hdf_hdflib_HDFNativeData_intToByte__I (JNIEnv *env, jclass clss, jint idata)
JNIEXPORT jbyteArray JNICALL | Java_hdf_hdflib_HDFNativeData_floatToByte__F (JNIEnv *env, jclass clss, jfloat fdata)
JNIEXPORT jbyteArray JNICALL | Java_hdf_hdflib_HDFNativeData_shortToByte__S (JNIEnv *env, jclass clss, jshort sdata)
JNIEXPORT jbyteArray JNICALL | Java_hdf_hdflib_HDFNativeData_doubleToByte__D (JNIEnv *env, jclass clss, jdouble ddata)
JNIEXPORT jbyteArray JNICALL | Java_hdf_hdflib_HDFNativeData_longToByte__J (JNIEnv *env, jclass clss, jlong ldata)
JNIEXPORT jbyteArray JNICALL | Java_hdf_hdflib_HDFNativeData_byteToByte__B (JNIEnv *env, jclass clss, jbyte bdata)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFNativeData_byteToByte__B()

JNIEXPORT jbyteArray JNICALL Java_hdf_hdflib_HDFNativeData_byteToByte__B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jbyte | bdata )

## ◆ Java_hdf_hdflib_HDFNativeData_byteToDouble___3B()

JNIEXPORT jdoubleArray JNICALL Java_hdf_hdflib_HDFNativeData_byteToDouble___3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jbyteArray | bdata )

## ◆ Java_hdf_hdflib_HDFNativeData_byteToDouble__II_3B()

JNIEXPORT jdoubleArray JNICALL Java_hdf_hdflib_HDFNativeData_byteToDouble__II_3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | start,
|  | jint | len,
|  | jbyteArray | bdata )

## ◆ Java_hdf_hdflib_HDFNativeData_byteToFloat___3B()

JNIEXPORT jfloatArray JNICALL Java_hdf_hdflib_HDFNativeData_byteToFloat___3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jbyteArray | bdata )

## ◆ Java_hdf_hdflib_HDFNativeData_byteToFloat__II_3B()

JNIEXPORT jfloatArray JNICALL Java_hdf_hdflib_HDFNativeData_byteToFloat__II_3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | start,
|  | jint | len,
|  | jbyteArray | bdata )

## ◆ Java_hdf_hdflib_HDFNativeData_byteToInt___3B()

JNIEXPORT jintArray JNICALL Java_hdf_hdflib_HDFNativeData_byteToInt___3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jbyteArray | bdata )

## ◆ Java_hdf_hdflib_HDFNativeData_byteToInt__II_3B()

JNIEXPORT jintArray JNICALL Java_hdf_hdflib_HDFNativeData_byteToInt__II_3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | start,
|  | jint | len,
|  | jbyteArray | bdata )

## ◆ Java_hdf_hdflib_HDFNativeData_byteToLong___3B()

JNIEXPORT jlongArray JNICALL Java_hdf_hdflib_HDFNativeData_byteToLong___3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jbyteArray | bdata )

## ◆ Java_hdf_hdflib_HDFNativeData_byteToLong__II_3B()

JNIEXPORT jlongArray JNICALL Java_hdf_hdflib_HDFNativeData_byteToLong__II_3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | start,
|  | jint | len,
|  | jbyteArray | bdata )

## ◆ Java_hdf_hdflib_HDFNativeData_byteToShort___3B()

JNIEXPORT jshortArray JNICALL Java_hdf_hdflib_HDFNativeData_byteToShort___3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jbyteArray | bdata )

## ◆ Java_hdf_hdflib_HDFNativeData_byteToShort__II_3B()

JNIEXPORT jshortArray JNICALL Java_hdf_hdflib_HDFNativeData_byteToShort__II_3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | start,
|  | jint | len,
|  | jbyteArray | bdata )

## ◆ Java_hdf_hdflib_HDFNativeData_doubleToByte__D()

JNIEXPORT jbyteArray JNICALL Java_hdf_hdflib_HDFNativeData_doubleToByte__D | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jdouble | ddata )

## ◆ Java_hdf_hdflib_HDFNativeData_doubleToByte__II_3D()

JNIEXPORT jbyteArray JNICALL Java_hdf_hdflib_HDFNativeData_doubleToByte__II_3D | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | start,
|  | jint | len,
|  | jdoubleArray | ddata )

## ◆ Java_hdf_hdflib_HDFNativeData_floatToByte__F()

JNIEXPORT jbyteArray JNICALL Java_hdf_hdflib_HDFNativeData_floatToByte__F | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jfloat | fdata )

## ◆ Java_hdf_hdflib_HDFNativeData_floatToByte__II_3F()

JNIEXPORT jbyteArray JNICALL Java_hdf_hdflib_HDFNativeData_floatToByte__II_3F | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | start,
|  | jint | len,
|  | jfloatArray | fdata )

## ◆ Java_hdf_hdflib_HDFNativeData_intToByte__I()

JNIEXPORT jbyteArray JNICALL Java_hdf_hdflib_HDFNativeData_intToByte__I | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | idata )

## ◆ Java_hdf_hdflib_HDFNativeData_intToByte__II_3I()

JNIEXPORT jbyteArray JNICALL Java_hdf_hdflib_HDFNativeData_intToByte__II_3I | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | start,
|  | jint | len,
|  | jintArray | idata )

## ◆ Java_hdf_hdflib_HDFNativeData_longToByte__II_3J()

JNIEXPORT jbyteArray JNICALL Java_hdf_hdflib_HDFNativeData_longToByte__II_3J | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | start,
|  | jint | len,
|  | jlongArray | ldata )

## ◆ Java_hdf_hdflib_HDFNativeData_longToByte__J()

JNIEXPORT jbyteArray JNICALL Java_hdf_hdflib_HDFNativeData_longToByte__J | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ldata )

## ◆ Java_hdf_hdflib_HDFNativeData_shortToByte__II_3S()

JNIEXPORT jbyteArray JNICALL Java_hdf_hdflib_HDFNativeData_shortToByte__II_3S | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | start,
|  | jint | len,
|  | jshortArray | sdata )

## ◆ Java_hdf_hdflib_HDFNativeData_shortToByte__S()

JNIEXPORT jbyteArray JNICALL Java_hdf_hdflib_HDFNativeData_shortToByte__S | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jshort | sdata )